package com.dominikdorn.lyrix.dao;

import java.util.List;

/**
 * Dominik Dorn
 * 0626165
 * dominik.dorn@tuwien.ac.at
 */
public interface GenericDao<TYPE,KEY> {
    public TYPE create(TYPE object);

    public TYPE edit(TYPE object) ;

    public void remove(TYPE object);

    public TYPE find(KEY id);

    public List<TYPE> findAll() ;

    public List<TYPE> findRange(int[] range);

    public int count();

}