package com.dominikdorn.lyrix.dao;

import com.dominikdorn.lyrix.domain.Artist;

import javax.annotation.ManagedBean;
import javax.annotation.PostConstruct;
import javax.enterprise.context.ApplicationScoped;
import javax.enterprise.inject.Typed;
import javax.persistence.Persistence;

import java.util.List;

/**
 * Dominik Dorn
 * 0626165
 * dominik.dorn@tuwien.ac.at
 */
@ManagedBean
@ApplicationScoped
@Typed(ArtistDao.class)
public class Jpa2ArtistDao extends AbstractJpaGenericDaoImpl<Artist, Long> implements ArtistDao{

    @PostConstruct
    public void postConstruct() {
        if (em == null)
            throw new RuntimeException("EntityManager is null!");
    }

    @Override
    public Artist create(Artist object) {
        return super.create(object);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public Artist edit(Artist object) {
        return super.edit(object);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public void remove(Artist object) {
        super.remove(object);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public Artist find(Long id) {
        return super.find(id);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public List<Artist> findAll() {
        return super.findAll();    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public List<Artist> findRange(int[] range) {
        return super.findRange(range);    //To change body of overridden methods use File | Settings | File Templates.
    }

    @Override
    public int count() {
        return super.count();    //To change body of overridden methods use File | Settings | File Templates.
    }
}