package com.dominikdorn.lyrix.domain;

import javax.persistence.*;

/**
 * Dominik Dorn
 * 0626165
 * dominik.dorn@tuwien.ac.at
 */
@IdClass(ArtistAlbumPK.class)
@Entity
@Table(name = "lytartistalbum", schema = "lyriks")
public class ArtistAlbum {

    @Column(name = "nartistnr")
    @Id
    private int artistId;

    @Column(name = "nalbumnr")
    @Id
    private int albumId;


    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        ArtistAlbum that = (ArtistAlbum) o;

        if (albumId != that.albumId) return false;
        if (artistId != that.artistId) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = artistId;
        result = 31 * result + albumId;
        return result;
    }

    public int getArtistId() {
        return artistId;
    }

    public void setArtistId(int artistId) {
        this.artistId = artistId;
    }

    public int getAlbumId() {
        return albumId;
    }

    public void setAlbumId(int albumId) {
        this.albumId = albumId;
    }
}