package com.dominikdorn.lyrix.rs;

import javax.inject.Inject;
import javax.ws.rs.ApplicationPath;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Application;

/**
 * Dominik Dorn
 * 0626165
 * dominik.dorn@tuwien.ac.at
 */
@ApplicationPath("/rs")
public class lyrixRestService extends Application {
    public lyrixRestService() {
        super();
        System.out.println("creating lyrix Rest Service");
    }

    @Path("/")
    @Produces("text/plain")
    @GET
    public String defaultReturnValue()
    {
        return "Hello World";
    }
}
